<?php

namespace EventPortal\Domain\Delegate\Models;

use EventPortal\Domain\Event\Form\Models\Question;
use EventPortal\Domain\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use OwenIt\Auditing\Auditable;
use OwenIt\Auditing\Contracts\Auditable as AuditableInterface;

class DelegateFormData extends Model implements AuditableInterface
{
    use Auditable;

    const KEY = 'delegate_form_data';

    /** @var array<string> */
    public $with = [
        'delegate',
        'question',
    ];

    /** @var array<string> */
    protected $fillable = [
        'delegate_id',
        'question_id',
        'value',
    ];

    public function delegate(): BelongsTo
    {
        return $this->belongsTo(Delegate::class);
    }

    public function question(): BelongsTo
    {
        return $this->belongsTo(Question::class);
    }
}
